export enum EGameState {
	/** 準備 */
	Ready,

	/** 等待回合 */
	Wait,

	/** 等待回合 */
	TurnCards,

	/** 看圖 */
	ImageViewer,

	/** 選擇卡片回合 */
	ChooseCards,

	/** 確定選擇卡片 */
	ChooseCard,

	/** 回合結束 */
	TurnEnd,

	/** 遊戲結束 */
	GameOver,

	/** 等待開新遊戲 */
	WaitNewGame,

	MyReady = 100,
	MyWait,
	MyTurnCards,
	MyImageViewer,
	MyChooseCards,
	MyChooseCard,
	MyTurnEnd,

	OtherReady = 200,
	OtherWait,
	OtherTurnCards,
	OtherImageViewer,
	OtherChooseCards,
	OtherChooseCard,
	OtherTurnEnd,
}